#!/bin/bash

# PiStream Radio 'easy start' script
# 12-MAR-2017
# Mark Mokoski
# www.k1pu.com
# email k1pu@k1pu.com
#
# This 'software is provided 'as is' with no warranties or liability fo system damage

# Start od script

# install MPD and MPC packages
sudo apt-get install mpc mpd -y

# replace mpd.conf file with edited version for USB audio devices
sudo cp -f ~/PiStream_Radio/mpd.conf /etc

# add sample playlist to MPD
sudo cp -f ~/PiStream_Radio/PiPlaylist.m3u /var/lib/mpd/playlists

# start MPD
mpd

# add shortcut to desktop
cp -f ~/PiStream_Radio/PiStream-Radio.desktop ~/Desktop

# load playlist via MPC
mpc load PiPlaylist

# reboot after all this to get MPD demon running and 'clear it's mind' before first run
sudo reboot now

